Bug 1008880 - Some serious logs don't support localization - JMX
Some serious logs don't support localization - JMX
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMX (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR1
: EAP 6.4.0
Assigned To: Brian Stansberry
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 05:37 EDT by Petr Kremensky
Modified: 2014-09-19 08:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-17 05:37:57 EDT
There are some serious log messages which don't support localization.

jboss-eap-6.2-src/webservices/tests-integration/src/main/java/org/jboss/as/webservices/deployer/RemoteDeployer.java
 - 152   LOGGER.warn("Trying to undeploy archive " + archiveURL + " which is not currently deployed!");

jboss-eap-6.2-src/system-jmx/src/main/java/org/jboss/system/ServiceMBeanSupport.java
 - 165   log.warn("Error in stop " + jbossInternalDescription(), t);
 - 173   log.warn("Error in destroy " + jbossInternalDescription(), t);
 - 220   log.warn("Initialization failed " + jbossInternalDescription(), e);
 - 253   log.warn("Starting failed " + jbossInternalDescription(), e);
 - 286   log.warn("Stopping failed " + jbossInternalDescription(), e);
 - 317   log.warn("Destroying failed " + jbossInternalDescription(), t);
Comment 1 James Perkins 2013-09-17 11:26:54 EDT
Reassigning to web services.
Comment 2 Alessio Soldano 2013-09-17 11:38:02 EDT
RemoteDeployer is used for test purposes only [1], so there's no need for it to support localization.

ServiceMBeanSupport is not part of the webservices subsystem or ws components.


[1] more in details, it's a support class used by the jbossws testsuite to deploy/undeploy test archives
Comment 4 Nikoleta Ziakova 2014-02-19 04:57:00 EST
There are still some failures in EAP 6.3.0 DR0:

jboss-eap-6.3-src/system-jmx/src/main/java/org/jboss/system/ServiceMBeanSupport.java
379   log.error(e);

jboss-eap-6.3-src/osgi/service/src/main/java/org/jboss/as/osgi/service/InitialDeploymentTracker.java
132   LOGGER.warnf("ServiceStartFailed: %s", serviceName);

jboss-eap-6.3-src/osgi/integration/http/src/main/java/org/jboss/as/osgi/httpservice/HttpServiceImpl.java
197   WEB_LOGGER.errorf(e, "");

jboss-eap-6.3-src/patching/src/main/java/org/jboss/as/patching/validation/PatchArtifact.java
102   ctx.getErrorHandler().error("Failed to load identity info for patch " + patch.getPatchId(), e);
116   ctx.getErrorHandler().error("Failed to load previous patch", e);

jboss-eap-6.3-src/patching/src/main/java/org/jboss/as/patching/validation/XmlFileState.java
51   ctx.getErrorHandler().error("File doesn't exist: " + file.getAbsolutePath());
56   ctx.getErrorHandler().error("Failed to parse file: " + file.getAbsolutePath(), e);

jboss-eap-6.3-src/patching/src/main/java/org/jboss/as/patching/validation/PatchElementProviderArtifact.java
84   ctx.getErrorHandler().error("Layer not found: " + metadata.getName());

jboss-eap-6.3-src/patching/src/main/java/org/jboss/as/patching/runner/IdentityPatchContext.java
435   PatchLogger.ROOT_LOGGER.warnf(e, "failed to undo change (%s)", modification);

jboss-eap-6.3-src/ejb3/src/main/java/org/jboss/as/ejb3/tx/CMTTxInterceptor.java
169   EjbLogger.ROOT_LOGGER.error(t);
Comment 5 Brian Stansberry 2014-02-19 09:06:21 EST
Please file separate bugs per component, assigned to the relevant component lead. I'll use this one for the ServiceMBeanSupport one, as that is the component relevant to the initial report.
Comment 6 Brian Stansberry 2014-02-19 09:18:37 EST
Never mind this time; I'll do them all. It's easier.
Comment 7 Nikoleta Ziakova 2014-02-19 09:21:34 EST
I have filed 2 BZs already:
BZ #1067019 and BZ #1067020
Comment 8 Nikoleta Ziakova 2014-02-19 09:24:14 EST
And here is the 3rd (last) one: BZ #1067024
Comment 9 Nikoleta Ziakova 2014-07-08 03:02:02 EDT
The only fail in EAP 6.3.0.ER9 in JMX is:

jboss-eap-6.3-src/system-jmx/src/main/java/org/jboss/system/ServiceMBeanSupport.java
 - 379   log.error(e);
Comment 10 Brian Stansberry 2014-07-08 09:46:11 EDT
I didn't submit my planned PR for this because the upstream changes couldn't be merged until after 6.3 work was in blockers-only mode. I'll send up a PR today but I expect it won't be merged for 6.3.0.
Comment 11 Brian Stansberry 2014-07-08 13:38:16 EDT
Withdrawing my dev_ack for 6.3 as it is too late for the WFLY-2964 backport.

The PR for the backport for 6.4 is https://github.com/jbossas/jboss-eap/pull/1505
Comment 12 Nikoleta Ziakova 2014-09-19 08:40:50 EDT
Verified with EAP 6.4.0.DR1.1

Note You need to log in before you can comment on or make changes to this bug.